dnl
dnl  Configuration input file for Harvest uses autoconf 1.11.
dnl
dnl  Darren Hardy, hardy@cs.colorado.edu, July 1994
dnl
dnl  $Id: configure.in,v 1.6 1995/07/20 02:09:48 hardy Exp $
dnl
AC_INIT(wp2x-2.3/Makefile.in)
AC_REVISION($Revision: 1.6 $)dnl
AC_PREFIX_DEFAULT(/usr/local/harvest)

dnl Build a copy of prefix

if test -n "$prefix"; then
  myprefix="$prefix";
else
  myprefix='/usr/local/harvest';
fi

INSTALL_TOPDIR="$myprefix";
INSTALL_LIBDIR="$myprefix/lib";
INSTALL_BINDIR="$myprefix/bin";
INSTALL_MANDIR="$myprefix/man";

THIS_HOST="`hostname`"

dnl Subsitutions
AC_SUBST(INSTALL_TOPDIR)
AC_SUBST(INSTALL_LIBDIR)
AC_SUBST(INSTALL_BINDIR)
AC_SUBST(INSTALL_MANDIR)
AC_SUBST(THIS_HOST)

dnl Check for GNU cc
AC_PROG_CC

dnl Check for programs
AC_PROG_CPP
AC_PROG_INSTALL
AC_PATH_PROG(CMD_PERL, perl, /bin/false)

dnl Set PERL too
PERL="$CMD_PERL"
AC_SUBST(PERL)

dnl Set DEBUG_TOP
if test -z "$DEBUG_TOP"; then
    DEBUG_TOP='#-O #-g #-DDEBUG'
fi
AC_SUBST(DEBUG_TOP)

dnl Clean up after OSF/1 core dump bug
rm -f core 

AC_OUTPUT(\
	wp2x-2.3/Makefile \
	wp2x-2.3/cfgs/Makefile \
)
